Package org.eclipse.m2m.atl.adt.runner

## Class CreatePluginData

- java.lang.Object
- - org.eclipse.m2m.atl.adt.runner.CreatePluginData

    public class CreatePluginData
    extends java.lang.Object

The class used to configure all the JET generations of the 'AtlPluginCreator' wizard. The purpose of the wizard is to create a new ATL plugin (i.e an eclipse plug-in).

### Constructor Summary

Constructors
`CreatePluginData​(java.lang.String projectName)` Constructor.
`CreatePluginData​(java.lang.String projectName, java.lang.String basePackage)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getBasePackage()`
`java.util.Map<java.lang.String,​java.lang.String>` `getPackageClassNames()`
`java.util.List<java.lang.String>` `getPluginDependencies()`
`java.lang.String` `getProjectName()`
`CreateRunnableData` `getRunnableData()`
`void` `setRunnableData​(CreateRunnableData runnableData)` Sets the runnable data and initializes metamodel dependencies.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreatePluginData

    public CreatePluginData​(java.lang.String projectName)

Constructor.

Parameters:
  `projectName` - the project name

#### CreatePluginData

    public CreatePluginData​(java.lang.String projectName,
                            java.lang.String basePackage)

Constructor.

Parameters:
  `projectName` - the project name
  `basePackage` - the base package name

### Method Detail

#### setRunnableData

    public void setRunnableData​(CreateRunnableData runnableData)

Sets the runnable data and initializes metamodel dependencies.

Parameters:
  `runnableData` - the runnable data

#### getRunnableData

    public CreateRunnableData getRunnableData()

#### getProjectName

    public java.lang.String getProjectName()

#### getBasePackage

    public java.lang.Object getBasePackage()

#### getPluginDependencies

    public java.util.List<java.lang.String> getPluginDependencies()

#### getPackageClassNames

    public java.util.Map<java.lang.String,​java.lang.String> getPackageClassNames()